> ## Documentation Index
> Fetch the complete documentation index at: https://developer.woox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Place order

> post order

**Limit: 5 requests per 1 symbol per 1 second**


## OpenAPI

````yaml POST /v3/trade/order
openapi: 3.0.2
info:
  title: Swagger Petstore - OpenAPI 3.0
  description: >-
    This is a sample Pet Store Server based on the OpenAPI 3.0 specification. 
    You can find out more about

    Swagger at [http://swagger.io](http://swagger.io). In the third iteration of
    the pet store, we've switched to the design first approach!

    You can now help us improve the API whether it's by making changes to the
    definition itself or to the code.

    That way, with time, we can improve the API in general, and expose some of
    the new features in OAS3.


    Some useful links:

    - [The Pet Store
    repository](https://github.com/swagger-api/swagger-petstore)

    - [The source API definition for the Pet
    Store](https://github.com/swagger-api/swagger-petstore/blob/master/src/main/resources/openapi.yaml)
  termsOfService: http://swagger.io/terms/
  contact:
    name: API Team
    email: apiteam@swagger.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.0.19
servers:
  - url: https://api.woox.io/
security: []
externalDocs:
  description: Find out more about Swagger
  url: http://swagger.io
paths:
  /v3/trade/order:
    post:
      description: post order
      parameters:
        - $ref: '#/components/parameters/ApiKeyHeader'
        - $ref: '#/components/parameters/SignatureHeader'
        - $ref: '#/components/parameters/TimestampHeader'
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateOrder'
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateOrderResponse'
      security: []
components:
  parameters:
    ApiKeyHeader:
      name: x-api-key
      in: header
      required: true
      schema:
        type: string
        example: abcdef123456
      description: api-key
    SignatureHeader:
      name: x-api-signature
      in: header
      required: true
      schema:
        type: string
        example: signaturestring
      description: api-signature
    TimestampHeader:
      name: x-api-timestamp
      in: header
      required: true
      schema:
        type: string
        example: '1718943200000'
      description: api-timestamp
  schemas:
    CreateOrder:
      required:
        - symbol
        - side
        - type
      type: object
      properties:
        symbol:
          type: string
          description: Symbol name
          example: SPOT_BTC_USDT
        clientOrderId:
          type: integer
          description: Valid input ranges from 0 to 9223372036854775807
          example: '1954766344355779056'
        orderTag:
          type: string
          description: 'Optional tag for this order, max string length: 64'
          example: ''
        side:
          type: string
          description: BUY/SELL
          example: ''
        positionSide:
          type: string
          description: >-
            Position side; The default is BOTH in the one way mode;  Can only be
            LONG or SHORT in the hedge mode.  Only applicable to perpetual
            instruments.
          example: ''
        type:
          type: string
          description: >-
            LIMIT/MARKET/IOC/FOK/POST_ONLY/ASK/BID/AC/RPI where AC/RPI are only
            available to market makers.
          example: ''
        price:
          type: string
          description: >-
            Only applicable to LIMIT/IOC/FOK/POST_ONLY orders;  MARKET/ASK/BID
            orders will ignore this field
          example: ''
        quantity:
          type: string
          description: >-
            Either quantity or amount is required;  If both are passed, the
            request will be rejected
          example: ''
        amount:
          type: string
          description: >-
            Only applicable to MARKET/ASK/BID orders on spot instruments; 
            Either quantity or amount is required;  If both are passed, the
            request will be rejected
          example: ''
        reduceOnly:
          type: boolean
          description: >-
            Only applicable to perpetual instruments; Whether the order can only
            reduce in position size; valid options are true/false
          example: ''
        visibleQuantity:
          type: string
          description: The order quantity visible on orderbook
          example: ''
        marginMode:
          type: string
          description: CROSS / ISOLATED
          example: ''
        bidAskLevel:
          type: string
          description: '[1..5](only effective if type = ASK / BID)'
          example: ''
        postOnlyAdjusted:
          type: boolean
          description: >-
            Only applicable to POST_ONLY orders; Whether the order should be
            adjusted to the best bid/ask if it would cross the book and execute
            immediately as a taker
          example: ''
    CreateOrderResponse:
      allOf:
        - $ref: '#/components/schemas/CommonResponse'
        - type: object
          properties:
            data:
              type: object
              properties:
                orderId:
                  type: integer
                  description: ''
                type:
                  type: string
                  description: ''
                  enum:
                    - LIMIT
                    - MARKET
                    - IOC
                    - POST_ONLY
                    - AC
                    - FOK
                    - BID
                    - ASK
                    - RPI
                price:
                  type: string
                  description: ''
                quantity:
                  type: string
                  description: ''
                amount:
                  type: string
                  description: ''
                clientOrderId:
                  type: integer
                  description: ''
                bidAskLevel:
                  type: integer
                  description: ''
    CommonResponse:
      type: object
      properties:
        success:
          type: boolean
          description: 'true'
        timestamp:
          type: integer
          description: timestamp

````